package middleware

import (
	"net/http"
	"slices"
)

func Use(handler http.Handler, wrappers ...func(http.Handler) http.Handler) http.Handler {
	slices.Reverse(wrappers)
	for _, wrapper := range wrappers {
		handler = wrapper(handler)
	}
	return handler
}
